package com.tencent.tms.remote;

import com.tencent.tms.remote.QubeRemoteData;

interface IRemoteCallback {
    /**
    * 处理远程请求异步回调结果
    *  -- 目前处理wup的所有请求返回
    *@param reqType 请求类型（如wup，push等）
    *@param result    返回结果
    *@return true : 该请求已被处理，false：其他
    */
    boolean handleEvent(int reqType, in Bundle result);
    
   	/**
    * 处理远程请求异步回调结果
    *  -- 后期统一调整参数返回
    *@param reqType 请求类型（push等）
    *@param datas    返回结果
    *@return true : 该请求已被处理，false：其他
    */
    boolean handleEventRemoteArray(int reqType, in QubeRemoteData[] datas);
        
    /**
    * 远程进程获取制定类型的jce数据
    */
    byte[] getJceStructBytes(int type);
}