package com.tencent.tms.remote;

import com.tencent.tms.remote.IRemoteCallback;

interface IRemoteRequest {
    /**
    *注册回调对象
    */
    void registerCallback(int fromModel, in IRemoteCallback callback);
    
    /**
    *发送请求
    * @param fromModel 进程模块
    * @param datas  请求数据
    */
    int sendRemoteRequest(int fromModel, in Bundle datas);
    
   /**
    *取消请求
    */
    void cancelRequestTask(int reqId);
    /**
     *  根据类型获取对应数据 
     *     -- 目前主要用于wup数据的获取  
     *  @param type 数据类型
     *  @return byte[]
     */
    byte[] getDataByType(int type);
    
    /**
    * 调用主体方被销毁
    *    -- 目前主要是launcher进程的AppContext被销毁  
    */
    void destory(int fromModel);
    
    
    /**
     *  根据请求类型获取对应notify的状态 
     *  @param type 数据类型
     *  @return int
     */
    int getRemoteState(int type);
    
   /**
    * 第三方应用发送请求
    * @param fromModel 进程模块
    * @ datas  请求数据
    */
    String sendRemoteRequestForThird(int fromModel, in Bundle datas);
    
    /**
    * 通知打开wup trace log
    * @param fromModel 进程模块
    * @ datas  请求数据
    */
    void notifyWupTraceLogOpen(long arg1);
    
   /**
    * 通知关闭wup trace log
    * @param fromModel 进程模块
    * @ datas  请求数据
    */
    void notifyWupTraceLogClose();
    
}